Public Attributes | List of all members
pass_c_handles_t Struct Reference
BLE Services » Phone Alert Status Service Client (PASS_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <pass_c.h>`

## Public Attributes
uint16_t | pass_srvc_start_handle
| PASS Service start handle. More...
uint16_t | pass_srvc_end_handle
| PASS Service end handle. More...
uint16_t | pass_alert_status_handle
| PASS Alert Status characteristic Value handle which has been got from peer. More...
uint16_t | pass_alert_status_cccd_handle
| PASS CCCD handle of Alert Status characteristic which has been got from peer. More...
uint16_t | pass_ringer_set_handle
| PASS Ringer Setting characteristic Value handle which has been got from peer. More...
uint16_t | pass_ringer_set_cccd_handle
| PASS CCCD handle of Ringer Setting characteristic which has been got from peer. More...
uint16_t | pass_ringer_ctrl_pt_handle
| PASS Ringer Control Point characteristic Value handle which has been got from peer. More...

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 130 of file pass_c.h.

## Member Data Documentation

## ◆ pass_alert_status_cccd_handle

uint16_t pass_c_handles_t::pass_alert_status_cccd_handle

PASS CCCD handle of Alert Status characteristic which has been got from peer.

Definition at line 135 of file pass_c.h.

## ◆ pass_alert_status_handle

uint16_t pass_c_handles_t::pass_alert_status_handle

PASS Alert Status characteristic Value handle which has been got from peer.

Definition at line 134 of file pass_c.h.

## ◆ pass_ringer_ctrl_pt_handle

uint16_t pass_c_handles_t::pass_ringer_ctrl_pt_handle

PASS Ringer Control Point characteristic Value handle which has been got from peer.

Definition at line 138 of file pass_c.h.

## ◆ pass_ringer_set_cccd_handle

uint16_t pass_c_handles_t::pass_ringer_set_cccd_handle

PASS CCCD handle of Ringer Setting characteristic which has been got from peer.

Definition at line 137 of file pass_c.h.

## ◆ pass_ringer_set_handle

uint16_t pass_c_handles_t::pass_ringer_set_handle

PASS Ringer Setting characteristic Value handle which has been got from peer.

Definition at line 136 of file pass_c.h.

## ◆ pass_srvc_end_handle

uint16_t pass_c_handles_t::pass_srvc_end_handle

PASS Service end handle.

Definition at line 133 of file pass_c.h.

## ◆ pass_srvc_start_handle

uint16_t pass_c_handles_t::pass_srvc_start_handle

PASS Service start handle.

Definition at line 132 of file pass_c.h.

The documentation for this struct was generated from the following file:

- pass_c.h